net.sf.jasperreports.engine.analytics.dataset

## Class BaseMultiAxisData

- java.lang.Object
- - net.sf.jasperreports.engine.analytics.dataset.BaseMultiAxisData

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, MultiAxisData, JRCloneable
  Direct Known Subclasses:
    DesignMultiAxisData

      public class BaseMultiAxisData
      extends java.lang.Object
      implements MultiAxisData, java.io.Serializable

  Version:
    $Id: BaseMultiAxisData.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected MultiAxisDataset` | `dataset`
    `protected java.util.List<DataMeasure>` | `measures`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseMultiAxisData()`
    `BaseMultiAxisData(MultiAxisData data, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addDataAxis(DataAxis axis)`
    `java.lang.Object` | `clone()`
    `DataAxis` | `getDataAxis(Axis axis)`
    `java.util.List<DataAxis>` | `getDataAxisList()`
    `MultiAxisDataset` | `getDataset()`
    `java.util.List<DataMeasure>` | `getMeasures()`
    `protected int` | `removeDataAxis(Axis axis)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataset

          protected MultiAxisDataset dataset

    - #### measures

          protected java.util.List<DataMeasure> measures

  - ### Constructor Detail

    - #### BaseMultiAxisData

          public BaseMultiAxisData()

    - #### BaseMultiAxisData

          public BaseMultiAxisData(MultiAxisData data,
                           JRBaseObjectFactory factory)

  - ### Method Detail

    - #### addDataAxis

          protected void addDataAxis(DataAxis axis)

    - #### removeDataAxis

          protected int removeDataAxis(Axis axis)

    - #### getDataset

          public MultiAxisDataset getDataset()

      Specified by:
        `getDataset` in interface `MultiAxisData`

    - #### getDataAxisList

          public java.util.List<DataAxis> getDataAxisList()

      Specified by:
        `getDataAxisList` in interface `MultiAxisData`

    - #### getDataAxis

          public DataAxis getDataAxis(Axis axis)

      Specified by:
        `getDataAxis` in interface `MultiAxisData`

    - #### getMeasures

          public java.util.List<DataMeasure> getMeasures()

      Specified by:
        `getMeasures` in interface `MultiAxisData`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com